Class | SOAP::Header::SimpleHandler
In: | soap/header/simplehandler.rb
Parent: | SOAP::Header::Handler

### Methods

new on_inbound on_outbound on_simple_inbound on_simple_outbound

### Public Class methods

new(elename)

[Source]

    # File soap/header/simplehandler.rb, line 18
      def initialize(elename)
        super(elename)
      end

### Public Instance methods

on_inbound(header, mustunderstand)

[Source]

    # File soap/header/simplehandler.rb, line 36
      def on_inbound(header, mustunderstand)
        h = header.respond_to?(:to_obj) ? header.to_obj : header.data
        on_simple_inbound(h, mustunderstand)
      end

on_outbound()

[Source]

    # File soap/header/simplehandler.rb, line 31
      def on_outbound
        h = on_simple_outbound
        h ? SOAPElement.from_obj(h, elename.namespace) : nil
      end

on_simple_inbound(header, mustunderstand)

Given header is a Hash, String or nil.

[Source]

    # File soap/header/simplehandler.rb, line 28
      def on_simple_inbound(header, mustunderstand)
      end

on_simple_outbound()

Should return a Hash, String or nil.

[Source]

    # File soap/header/simplehandler.rb, line 23
      def on_simple_outbound
        nil
      end

[Validate]